Loading...
Searching...
No Matches
LogMask.h File Reference

Bit mask used by Logger. More...

Go to the source code of this file.

## Namespaces

namespace | ASSA

## Enumerations

enum

ASSA::Group {
ASSA::TRACE = 0x00000001 , ASSA::APP = 0x00000002 , ASSA::USR1 = 0x00000004 , ASSA::USR2 = 0x00000008 ,
ASSA::USR3 = 0x00000010 , ASSA::ALL_APPS = 0x0000001F , ASSA::ASSAERR = 0x00000020 , ASSA::PIDFLOCK = 0x00000040 ,
ASSA::CMDLINEOPTS = 0x00000080 , ASSA::SEM = 0x00000100 , ASSA::SIGHAND = 0x00000200 , ASSA::REACT = 0x00000400 ,
ASSA::REACTTRACE = 0x00000800 , ASSA::SOCK = 0x00001000 , ASSA::SOCKTRACE = 0x00002000 , ASSA::XDRBUF = 0x00004000 ,
ASSA::XDRBUFTRACE = 0x00008000 , ASSA::STRMBUF = 0x00010000 , ASSA::STRMBUFTRACE = 0x00020000 , ASSA::FORK = 0x00040000 ,
ASSA::SIGACT = 0x00080000 , ASSA::PIPE = 0x00100000 , ASSA::CHARINBUF = 0x00200000 , ASSA::ADDRESS = 0x00400000 ,
ASSA::INIFILE = 0x00800000 , ASSA::REGEXP = 0x01000000 , ASSA::RES5 = 0x02000000 , ASSA::RES6 = 0x04000000 ,
ASSA::RES7 = 0x08000000 , ASSA::RES8 = 0x10000000 , ASSA::RES9 = 0x20000000 , ASSA::RES10 = 0x40000000 ,
ASSA::ALL_LIB = 0x7FFFFFE0 , ASSA::ALL = 0x7FFFFFFF , ASSA::NONE = 0x00000000
}

enum | ASSA::marker_t { ASSA::FUNC_MSG , ASSA::FUNC_ENTRY , ASSA::FUNC_EXIT }

## Detailed Description

Bit mask used by Logger.

Definition in file LogMask.h.